package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.bop.jsh.Dbw;
import com.brilliance.isc.vo.bop.ArgmodManagerVo;
import com.brilliance.isc.vo.bop.BopselRespVo;
import org.apache.ibatis.annotations.Mapper;
import java.util.Collection;
import java.util.Map;
import java.util.List;

@Mapper
public interface DbwMapper {

    int insert(Dbw record);

    int insertSelective(Dbw record);

    int updateByPrimaryKeySelective(Dbw record);

    int updateByPrimaryKey(Dbw record);

    int deleteByPrimaryKey(Dbw record);

    int deleteByIds(Collection<Object> collection);

    Dbw selectByPrimaryKey(Dbw record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Dbw> dyncRead(Map<String, Object> dyncMap);

    List<BopselRespVo> selectByArgmodVo(ArgmodManagerVo argmodVo);

    String selectActiontypByinr(String inr);

    Dbw selectInfoByinr(String inr);
}